﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace Hide_ticks
{
    public class MainViewModel : ViewModelBase
    {
        public MainViewModel()
        {
            this.Items = new List<Item>() 
            { 
                new Item()  
                {  
                    Level = 1,  
                    Text ="AAAA",  
                    StatusGroup = new List<StatusPerformance>() 
                    { 
                        new StatusPerformance("Success", new List<Performance>()  
                        { 
                            new Performance() { Name="TMI", Count=76}, 
                            new Performance() { Name="TXT", Count=39} 
                        }), 
                        new StatusPerformance("Misrecognition", new List<Performance>()  
                        { 
                            new Performance() { Name="TMI", Count=15}, 
                            new Performance() { Name="TXT", Count=33} 
                        }), 
                        new StatusPerformance("Unknown", new List<Performance>()  
                        { 
                            new Performance() { Name="TMI", Count=62} 
                        }) 
                    } 
                }, 
                new Item() { Level = 2, Text ="BBBB"}, 
                new Item() { Level = 3, Text ="CCCC"}, 
                new Item() { Level = 4, Text ="DDDD"}, 
            };
        }

        public IList<Item> Items { get; private set; }
    }

    public class Item : ViewModelBase
    {
        //private TileStateEnum tileState;
        public int Level { get; set; }
        public string Text { get; set; }
        //public TileStateEnum TileStateProp
        //{
        //    get
        //    {
        //        return this.tileState;
        //    }

        //    set
        //    {
        //        if (this.tileState != value)
        //        {
        //            this.tileState = value;
        //            //this.NotifyPropertyChanged("TileStateProp");
        //        }
        //    }
        //}

        public List<StatusPerformance> StatusGroup { get; set; }
    }

    public class StatusPerformance : List<Performance>
    {
        public StatusPerformance(string status, IList<Performance> performances)
        {
            this.Status = status;
            this.AddRange(performances);
        }
        public string Status { get; private set; }
    }

    public class Performance
    {
        public string Name { get; set; }
        public int Count { get; set; }
    }
}



